include ./collector

//- Custom Configuration
block config
  //- Setup site's base URL to match the "baseUrl" key within `package.json`
  //- Otherwise default to relative pathing
  - var baseUrl = config.baseUrl || './'
  - var currentPage = config.currentPage || 'main'

doctype html
<html class='no-js' lang='en'>

head
  meta(charset='utf-8')
  meta(http-equiv='X-UA-Compatible', content='IE=edge')
  block title
    title= site.data.global.siteName
  meta(name='description', content=site.data.global.description)
  meta(name='viewport', content='width=device-width, initial-scale=1.0, user-scalable=no')
  block stylesheets
    link( href="https://fonts.googleapis.com/css?family=Didact+Gothic" rel="stylesheet")
    link(rel='stylesheet', href= baseUrl + 'styles/main.css')
body(data-page=currentPage)
  block header
    +header
  block content

  block footer
    +footer({id:'support'})
  block scripts
    script(src= baseUrl + 'scripts/libs/jquery.min.js')
    script(src= baseUrl + 'scripts/main.js')

</html>
